Altibase.jdbc.driver

## Class AltibaseClob

- java.lang.Object
- - Altibase.jdbc.driver.AltibaseLob
  - - Altibase.jdbc.driver.AltibaseClob

All Implemented Interfaces:
  java.sql.Clob

    public class AltibaseClob
    extends AltibaseLob
    implements java.sql.Clob

### Field Summary

### Fields inherited from class Altibase.jdbc.driver.AltibaseLob

`mChannel, mContext, mIsClosed, mLobLength, mLobUpdated, mLocatorId`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.io.InputStream` `getAsciiStream()`
`java.io.Reader` `getCharacterStream()`
`java.io.Reader` `getCharacterStream(long aPos, long aLength)`
`java.lang.String` `getSubString(long aStartPos, int aLength)`
`long` `length()`
`long` `position(java.sql.Clob aPattern, long aStartPos)`
`long` `position(java.lang.String aPattern, long aStartPos)`
`java.io.OutputStream` `setAsciiStream(long aStartPos)`
`java.io.Writer` `setCharacterStream(long aStartPos)`
`int` `setString(long aStartPos, java.lang.String aSource)`
`int` `setString(long aStartPos, java.lang.String aSource, int aOffset, int aLength)`
`java.lang.String` `toString()`

### Methods inherited from class Altibase.jdbc.driver.AltibaseLob

`free, isSameConnectionWith, open, setNull, truncate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.sql.Clob

`free, truncate`

### Method Detail

#### getAsciiStream

    public java.io.InputStream getAsciiStream()
                                       throws java.sql.SQLException

Specified by:
  `getAsciiStream` in interface `java.sql.Clob`
Throws:
  `java.sql.SQLException`

#### getCharacterStream

    public java.io.Reader getCharacterStream()
                                      throws java.sql.SQLException

Specified by:
  `getCharacterStream` in interface `java.sql.Clob`
Throws:
  `java.sql.SQLException`

#### getSubString

    public java.lang.String getSubString(long aStartPos,
                                         int aLength)
                                  throws java.sql.SQLException

Specified by:
  `getSubString` in interface `java.sql.Clob`
Throws:
  `java.sql.SQLException`

#### length

    public long length()
                throws java.sql.SQLException

Specified by:
  `length` in interface `java.sql.Clob`
Throws:
  `java.sql.SQLException`

#### position

    public long position(java.sql.Clob aPattern,
                         long aStartPos)
                  throws java.sql.SQLException

Specified by:
  `position` in interface `java.sql.Clob`
Throws:
  `java.sql.SQLException`

#### position

    public long position(java.lang.String aPattern,
                         long aStartPos)
                  throws java.sql.SQLException

Specified by:
  `position` in interface `java.sql.Clob`
Throws:
  `java.sql.SQLException`

#### setAsciiStream

    public java.io.OutputStream setAsciiStream(long aStartPos)
                                        throws java.sql.SQLException

Specified by:
  `setAsciiStream` in interface `java.sql.Clob`
Throws:
  `java.sql.SQLException`

#### setCharacterStream

    public java.io.Writer setCharacterStream(long aStartPos)
                                      throws java.sql.SQLException

Specified by:
  `setCharacterStream` in interface `java.sql.Clob`
Throws:
  `java.sql.SQLException`

#### setString

    public int setString(long aStartPos,
                         java.lang.String aSource,
                         int aOffset,
                         int aLength)
                  throws java.sql.SQLException

Specified by:
  `setString` in interface `java.sql.Clob`
Throws:
  `java.sql.SQLException`

#### setString

    public int setString(long aStartPos,
                         java.lang.String aSource)
                  throws java.sql.SQLException

Specified by:
  `setString` in interface `java.sql.Clob`
Throws:
  `java.sql.SQLException`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### getCharacterStream

    public java.io.Reader getCharacterStream(long aPos,
                                             long aLength)
                                      throws java.sql.SQLException

Specified by:
  `getCharacterStream` in interface `java.sql.Clob`
Throws:
  `java.sql.SQLException`